AM_CFLAGS = \
	-DG_LOG_DOMAIN=\"Behaviours\" \
	-I$(top_srcdir)/lib \
	-I$(top_srcdir)/lib/waveform/lib/agl \
	$(MP3TERM_CFLAGS) \
	$(GLIB_CFLAGS)

noinst_LIBRARIES = libbehaviours.a

libbehaviours_a_SOURCES = \
	material.c material.h \
	container.c container.h \
	panel.c panel.h \
	weak-ref.c weak-ref.h

if BUILD_TESTS

bin_PROGRAMS = test

test_DEPENDENCIES = libbehaviours.a

test_SOURCES = \
	test.c

test_CFLAGS = \
	-DG_LOG_DOMAIN=\"Behaviours\" \
	-I$(top_srcdir)/lib \
	-I$(top_srcdir)/lib/waveform/lib \
	-I$(top_srcdir)/lib/waveform/lib/agl \
	$(MP3TERM_CFLAGS)

test_LDADD = \
	$(top_srcdir)/lib/waveform/lib/agl/.libs/libagl.a \
	$(top_srcdir)/lib/waveform/lib/test/libtest.la \
	$(top_srcdir)/lib/debug/.libs/libdebug.a \
	$(top_srcdir)/lib/behaviours/libbehaviours.a \
	$(OPENGL_LDFLAGS) \
	$(MP3TERM_LIBS) \
	-lgraphene-1.0

suppression_dir = $(top_srcdir)/test/suppressions

valgrind:
	/usr/bin/valgrind \
		--leak-check=full \
		--gen-suppressions=yes \
		--log-fd=2 \
		--suppressions=$(suppression_dir)/mesa.supp \
		--suppressions=$(suppression_dir)/pango.supp \
		--num-callers=50 \
		./test

endif
